Subject: bug#65318: 29.1.50; `comint-run' should read-string with specified history list

From: bruno cuconato <[email-masked]>
Date: Tue, 15 Aug 2023 17:15:41 -0300

Not really a bug, but a feature request. When I run `comint-run' I use
the history to find the switches I need, and often have to waddle
through a bunch of unrelated input. As I understand it, that is
because the interactive `read-string' call does not specify a history
list (and thus a global one is used, I assume.¹) I'm not sure what the
best solution is: do we want to add a history list just for the
switches, or do we want it to be shared with other commands (like
`shell-command'?), or would any change to the history list argument
break people's workflows? I for one would prefer the first option.

¹: An unrelated mini-bug: `read-string's docstring does not say what
 happens when the argument is nil, although maybe the manual might do
 so (I haven't checked). Obviously, one can simply check the C source.